<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
require('fphp.php');
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
/*$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$tabla=$_REQUEST["tabla"];
$detalle=$_REQUEST["detalle"];*/
$usuario=array_key_exists('usuario_validar',$_SESSION)? $_SESSION ['usuario_validar'] : "";
$accion=array_key_exists('accion',$_REQUEST)?$_REQUEST["accion"]: "";
$codigo=array_key_exists('codigo',$_REQUEST)? $_REQUEST["codigo"]: "";
$tabla=array_key_exists('tabla',$_REQUEST)? $_REQUEST["tabla"]: "";
$detalle=array_key_exists('detalle',$_REQUEST)? $_REQUEST["detalle"]: "";
if (array_key_exists('imprime', $_POST)&& $_POST['imprime']==1 ) {
///////////////////////////////////////////////// IMPRIMIR REGISTROS ////////////////////////////////////////////////////////////////
	
	$enlace=cargar_conexion();
	$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
	if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresa']=(array_key_exists('nomina',$_POST) && substr($_POST['nomina'],6,100)==""?substr($_POST['nomina'],6,100):$_SESSION['empresa_validar']) ;

	}
	require('fpdf.php');

	class PDF extends FPDF {
	
	public function setUsuario($usuario) {
		$this->usuario=$usuario;
	}
	function Header()
	{
	    $this->Image($_SESSION['logo_validar'],10,10,20,20);
	    $this->SetFont('arial','',12);
		$this->Ln(2);
	    $this->Cell(0,0,$_POST['empresa'],0,1,'R'); $this->Ln(5);
		$this->Cell(0,0,$_POST['encabeza'],0,1,'R');$this->Ln(5);
		$this->SetFont('arial','',10);
	    $this->Cell(140);$this->Cell(40,0,'Fecha: '.hoy(),0,1,'L'); $this->Ln(5);
	    $this->Cell(140);$this->Cell(40,0,'Usuario: '.$this->usuario,0,1,'L'); $this->Ln(5);

		$this->Ln(10);
		$this->SetFont('arial','B',14);
		$this->Cell(0,0,'Reporte General de Tablas',0,1,'C');$this->Ln(5);
	    $header=array('Item','Codigo','Tabla','Detalle');
	    $this->SetFillColor(255,0,0);
	    $this->SetTextColor(255);
	    $this->SetDrawColor(128,0,0);
	    $this->SetLineWidth(.3);
	    $this->SetFont('','');
	    //Cabecera
	    $w=array(15,30,40,100);
		for($i=0;$i<count($header);$i++)
	        $this->Cell($w[$i],5,$header[$i],1,0,'C',1);
	    $this->Ln();
	    //Restauración de colores y fuentes
	    $this->SetFillColor(224,235,255);
	    $this->SetTextColor(0);
	    $this->SetFont('');
	}


//Pie de Página ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	function Footer()
	{
	$this->SetY(-15);
	$this->Cell(0,0,'',1,1,'C');
	$this->SetFont('Times','I',8);
	$this->ln(2);
	$this->Cell(20);$this->Cell(0,0,$_POST['pie'],0,1,'C');
	$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	$pdf=new PDF();
	$pdf->setUsuario($usuario);
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial','',10);
	$pdf->SetFillColor(224,235,255);
	$pdf->SetTextColor(0);
	$consulta=mysqli_query($enlace,'SELECT * from tablas');
	$linea=0;
	$color=0;
	while($row=mysqli_fetch_array($consulta)) {
		$linea++;
		$pdf->cell(15,5,$linea,0,0,'C',$color);
		$pdf->cell(30,5,$row['codigo'],0,0,'Z',$color);
		$pdf->cell(40,5,$row['tabla'],0,0,'',$color);
		$pdf->cell(100,5,$row['detalle'],0,1,'',$color);
		$color=!$color;
	}
	$pdf->Output();
}
else {

menu();
echo "<font face='verdana' size=2>";
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Estructura
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Estructura
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Estructura del Organigrama de la Empresa</h2>";

///////////////////////////////////////////////// INICIO DEL PROGRAMA ////////////////////////////////////////////////////////////////
///////////////////////////////////////////////// AGREGAR REGISTROS  ////////////////////////////////////////////////////////////////
	if (array_key_exists('graba', $_POST) && $_POST['graba']==1 ) {
		$consulta="Select * from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$_POST['codigo']."' and tabla=ucase('".$_POST['tabla']."')" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows == 0) {
			$consulta="insert into tablas (id,codigo,tabla,detalle) values ('".$_SESSION['id_validar']."', '".$_POST['codigo']."',ucase('".$_POST['tabla']."'),ucase('".$_POST['detalle']."'))";
			$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		} else $entra=1;
	}
    if ($entra) echo "<font face='Verdana, Arial, Helvetica, sans-serif' color ='#FF0000'size=3> (Registro Existe)</font>";
///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
	if (array_key_exists('modifica', $_POST) && $_POST['modifica']==1 ) {
		$consulta="update tablas set detalle=ucase('".$_POST['detalle']."') where id='".$_SESSION['id_validar']."' and codigo = '".$_POST['codigo']."' and tabla=ucase('".$_POST['tabla']."')" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
///////////////////////////////////////////////// MOSTRAR ENTRADA DE DATOS  ////////////////////////////////////////////////////////////////
	if (!$_POST && $accion!=3 && $accion!=2 || array_key_exists('busca', $_POST) && $_POST['busca']!=1 || array_key_exists('modifica', $_POST) && $_POST['modifica']!=1 || array_key_exists('graba', $_POST) && $_POST['graba']!=1){
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
		echo "<input type = 'hidden' name = 'busca' value = '1'>";
		echo "<table cellpadding=2 cellspacing=0 width='400' align='center'>";
		echo "<tr>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >Tabla Activa:</font></td>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >";
			echo "<select name='tabla'>";

			if ($_POST && $_POST['tabla']=="Area") echo "<option selected>Area";
		    else echo "<option>Area";
			if ($_POST && $_POST['tabla']=="Cargo") echo "<option selected>Cargo";
		    else echo "<option>Cargo";
			if ($_POST && $_POST['tabla']=="Unidad") echo "<option selected>Unidad";
		    else echo "<option>Unidad";
			if ($_POST && $_POST['tabla']=="Departamento") echo "<option selected>Departamento";
		    else echo "<option>Departamento";
			if ($_POST && $_POST['tabla']=="Direcci&oacuten") echo "<option selected>Direcci&oacuten";
		    else echo "<option>Direcci&oacuten";
			if ($_POST && $_POST['tabla']=="Divisi&oacuten") echo "<option selected>Divisi&oacuten";
		    else echo "<option >Divisi&oacuten";
			if ($_POST && $_POST['tabla']=="Estado") echo "<option selected>Estado";
		    else echo "<option>Estado";
			if ($_POST && $_POST['tabla']=="Profesion") echo "<option selected>Profesion";
		    else echo "<option>Profesion";
			if ($_POST && $_POST['tabla']=="Gerencia") echo "<option selected>Gerencia";
		    else echo "<option>Gerencia";
			if ($_POST && $_POST['tabla']=="Municipio") echo "<option selected>Municipio";
		    else echo "<option>Municipio";
			if ($_POST && $_POST['tabla']=="Parroquia") echo "<option selected>Parroquia";
		    else echo "<option>Parroquia";
			if ($_POST && $_POST['tabla']=="Sector") echo "<option selected>Sector";
		    else echo "<option>Sector";
			if ($_POST && $_POST['tabla']=="TipoEmpleado") echo "<option selected>TP";
		    else echo "<option>TP";
			if ($_POST && $_POST['tabla']=="tipoingreso") echo "<option selected>tipoingreso";
		    else echo "<option>tipoingreso";

			echo "</td> </font>";
		echo "<td><input name = 'procesar' type = 'submit' value = 'Buscar Registro'></td>";
		echo "</tr>";
		echo "</table>";
		echo "	<script language='JavaScript' type='text/JavaScript'>";
		echo "		document.entrada.tabla.focus()";
		echo "	</script>";
		echo "	</form>";
}

///////////////////////////////////////////////// ELIMINAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==2) {
		$consulta="delete from tablas where id='".$_SESSION['id_validar']."' and codigo = '".$codigo."' and tabla=ucase('".$tabla."')" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
///////////////////////////////////////////////// MODIFICAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==3) {
		if (array_key_exists('tabla', $_POST) && $_POST['tabla']!="") $tabla=$_POST['tabla'];
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
		echo "<input type = 'hidden' name = 'modifica' value = '1'>";
		echo "<table cellpadding=2 cellspacing=0 width='600' align='center'>";
		echo "<tr>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >Tabla Activa:</font></td>";
			echo "<td> <input name='tabla' size = '30' maxlength = '30' readonly value='".$tabla."' ></td>";
		echo "<tr>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >C&oacute;digo:</font></td>";
			echo "<td> <input name='codigo' size = '6' maxlength = '6' readonly value='".$codigo."' ></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >Detalle (Descripci&oacute;n):</font></td>";
			echo "<td> <input name='detalle' size = '30' maxlength = '50' value='".$detalle."'></td>";
		echo "</tr>";
		echo "</table>";
		echo "<table border=0  align = 'center'><tr>";
		echo "<td><input type = 'submit' value = 'Grabar Modificaci&oacute;n'></td>";
		echo "</form>";
		echo "<form action = '".$_SERVER['PHP_SELF']."' method = 'POST' >";
		echo "<input type = 'hidden' name = 'busca' value = '1'>";
		echo "<td><input type = 'submit' value = 'Cancelar'><input type='hidden' name='tabla' size = '30' maxlength = '30' value='".$tabla."' ></td>";
		echo "</form></table><br>";
	}

///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
	if (array_key_exists('busca', $_POST) && $_POST['busca']==1 || array_key_exists('graba', $_POST) && $_POST['graba']==1 || $accion==2 || array_key_exists('modifica', $_POST) && $_POST['modifica']==1 ) {
		if (array_key_exists('tabla',$_POST) && $_POST['tabla']!="") $tabla=$_POST['tabla'];
		echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
		echo "<input type = 'hidden' name = 'graba' value = '1'>";
		echo "<table cellpadding=2 cellspacing=0 width='600' align='center'>";
		echo "<tr>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >Tabla Activa:</font></td>";
			echo "<td> <input name='tabla' size = '30' maxlength = '30' readonly value='".$tabla."' ></td>";
		echo "<tr>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >C&oacute;digo:</font></td>";
			echo "<td> <input name='codigo' size = '6' maxlength = '6'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td> <font face='Verdana, Arial, Helvetica, sans-serif' size=2 >Detalle (Descripci&oacute;n):</font></td>";
			echo "<td> <input name='detalle' size = '30' maxlength = '50'></td>";
		echo "</tr>";
		echo "</table>";

		echo "<table border=0  align = 'center'><tr>";
		echo "<td><input name = 'procesar' type = 'submit' value = 'Grabar Registro Nuevo' ></td>";
		echo "</form>";
		echo "<form action = '".$_SERVER['PHP_SELF']."'>";
		echo "<td><input type = 'submit' value = 'Seleccionar otra Tabla'></td>";
		echo "</form></table><br>";
		echo "<script language='JavaScript' type='text/JavaScript'>";
		echo "		document.entrada.codigo.focus()";
		echo "</script>";
		///////////////////////////////////////////////// MOSTRAR TABLA DE REGISTROS ////////////////////////////////////////////////////////////////
		$consulta="Select * from tablas where id='".$_SESSION['id_validar']."' and tabla=ucase('".$tabla."') order by codigo,detalle";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows != 0){
				echo "<table border=1 cellpadding=2 cellspacing=0 width='600' align='center'>";
				echo "<tr BGcolor='#00BFFF' >";
				echo "<th ali=center><font face='verdana' size=2>C&oacute;digo</font></th> ";
				echo "<th ali=center><font face='verdana' size=2>Detalle</font></th>";
				echo "<th colspan=2 ali=center><font face='verdana'  size=2>Acci&oacute;n</font></th></tr>";
				for ($cont=0;$cont<$num_rows;$cont++) {
					$row = mysqli_fetch_array($resultado);
					echo '<tr bgcolor="#cdcdcd" >';
					echo '<td width="100" align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size=2 >'.$row['codigo'].'</font></td>';
					echo '<td width="400"><font face="Verdana, Arial, Helvetica, sans-serif" size=2 >'.$row['detalle'].'</font></td>';
					$codigo = $row['codigo'];
					$detalle = $row['detalle'];
					$tabla = $row['tabla'];
					echo "<td width='60' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&codigo=".$codigo."&tabla=".$tabla."'><img  border = 0  src='images/b_elimina.png' alt='ELIMINAR éste registro' ></a></td>";
					echo "<td width='60' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=3&codigo=".$codigo."&tabla=".$tabla."&detalle=".$detalle."'><img border = 0 src='images/b_edit.png' alt='MODIFICAR éste registro'></a></td>";
					echo '</tr>';
				}
				echo '</table>';
				echo "<form name='imprimir' method='POST' target ='_blank' action='".$_SERVER['PHP_SELF']."' enctype='multipart/form-data'>";
				echo "  <input type = 'hidden' name = 'imprime' value = '1'>";
				echo "<center><input type = 'submit' value = 'Imprimir Resultado'></center></form>";
		} else echo "<hr>";
		mysqli_free_result($resultado);
		mysqli_close($enlace);
}

    echo "</body>";
	echo "</html>";
}
?>
